<?php

return array(
	'icon'   => 'el el-th-list',
	'title'  => __( 'Blog', 'BERG' ),
	'fields' => array(
		array(
			'id' => 'blog_post_per_page',
			'title' => __('Posts per page', 'BERG'),
			'type' => 'text',
			'default' => 6
		),
		array(
			'id' => 'blog_show_excerpt',
			'type' => 'switch',
			'title' => __('Show excerpt', 'BERG'),
			'on'		=> 'On',
			'off'		=> 'Off',
			'default' => true,
			'class' => 'hidden',
		),
		array(
			'id' => 'blog_excerpt_length',
			'title' => __('Excerpt length (words)', 'BERG'),
			'type' => 'text',
			'default' => 15,
			'required' => array('blog_show_excerpt','=', true),
			'class' => 'hidden',
			// 'desc' 	=> __( 'Write your custom excerpt length for Blog List, Blog Classic or Blog Squares', 'BERG'),
		),
		array(
			'id' => 'blog_show_author',
			'type' => 'switch',
			'title' => __('Show author', 'BERG'),
			'on'		=> 'On',
			'off'		=> 'Off',
			'default' => true,
			'class' => 'hidden',
		),
		array(
			'id' => 'blog_show_date',
			'type' => 'switch',
			'title' => __('Show date', 'BERG'),
			'on'		=> 'On',
			'off'		=> 'Off',
			'default' => true,
			'class' => 'hidden',
		),
		array(
			'id' => 'blog_show_cat',
			'type' => 'switch',
			'title' => __('Show categories', 'BERG'),
			'on'		=> 'On',
			'off'		=> 'Off',
			'default' => true,
			'class' => 'hidden',
		),
		array(
			'id' => 'blog_show_btn',
			'type' => 'switch',
			'title' => __('Show "read more" button', 'BERG'),
			'on'		=> 'On',
			'off'		=> 'Off',
			'default' => true,
			'class' => 'hidden',
		),
		array(
			'id'    	  => 'berg_blog_overlay',
			'type'  	  => 'color',
			'title'    	  => __( 'Overlay color on hover', 'BERG' ),
			'default' 	  => 'rgba(0,0,0,0.6)',
			'transparent' => true,
			'validate' 	  => '',
			'output'	  => array( 'background-color' => '#blog-list .post a.img-post .actions, #blog-squares .post a.img-post .actions, .blog .post a.img-post .actions, #blog-new-masonry .overlay-masonry'),
			'subtitle'  => __( 'Define the color and transparency level of the overlay background color on hover.', 'BERG' ), 
			'class' => 'hidden',
		),
		array(
		    'id'   =>'berg_blog_masonry_divide',
		    'title' => __('Blog masonry template', 'BERG'),
		    'type' => 'divide',
		    'class' => 'hidden',
		),
		array(
			'id' => 'berg_blog_masonry_layout',
			'type' => 'textarea',
			'desc' 	=> __( 'Write your custom layout loop. Use values: 1 - square, 2 - wide rectangle, 3 - tall rectangle, 4 - large square. Separate values with comma, i.e. 1,1,2,1,1,3', 'BERG'),
			'title' => __('Masonry custom layout', 'BERG'),
			'default' => "",
			'class' => 'hidden',
		),
		array(
			'id'    	  => 'berg_blog_masonry_txt_color',
			'type'  	  => 'color',
			'title'    	  => __( 'Text color', 'BERG' ),
			'default' 	  => 'rgba(255,255,255,1)',
			'transparent' => false,
			'validate' 	  => '',
			'output'	=> array('color' => '#blog-new-masonry .post-content .date, #blog-new-masonry .post-content .blog-details a, #blog-new-masonry .content, #blog-new-masonry .post-content .blog-details, #blog-new-masonry .post-content .entry-title a', 'background-color' => '#blog-new-masonry .post-content .date:after', 'border-color' => ''),
			'class' => 'hidden',
			// 'subtitle'  => __( 'Define the text color on hover.', 'BERG' ),  
		),
		// array(
		// 	'id'    	  => 'berg_blog_masonry_hover_color',
		// 	'type'  	  => 'color',
		// 	'title'    	  => __( 'Hover text color', 'BERG' ),
		// 	'default' 	  => 'rgba(255,255,255,1)',
		// 	'transparent' => true,
		// 	'validate' 	  => '',
		// 	'output'	=> array('color' => '.portfolio-content .entry-title, .gallery-content .portfolio-content .portfolio-categories li a, #gallery2 .portfolio-categories li a, .portfolio-content .dot-separator', 'border-color' => '.portfolio-content .wavy-separator span, .portfolio-content .wavy-separator span:after'),
		// 	'subtitle'  => __( 'Define the text color on hover.', 'BERG' ),  
		// ),
		array(
		    'id'   =>'berg_blog_list_divide',
		    'title' => __('Blog list template', 'BERG'),
		    'type' => 'divide',
		    'class' => 'hidden',
		),
		array(
			'id' => 'blog_show_comments',
			'type' => 'switch',
			'title' => __('Show comments', 'BERG'),
			'on'		=> 'On',
			'off'		=> 'Off',
			'default' => true,
			'class' => 'hidden',
		),
		// array(
		// 	'id' => 'blog_show_like',
		// 	'type' => 'checkbox',
		// 	'title' => __('Show like', 'BERG'),
		// 	'default' => '1',
		// 	'htmlOptions' => array()
		// ),
		array(
			'id' => 'blog_show_share',
			'type' => 'switch',
			'title' => __('Show social share', 'BERG'),
			'on'		=> 'On',
			'off'		=> 'Off',
			'default' => true,
			'class' => 'hidden',
		),
		array(
			'id' 	  => 'berg_blog_list_sidebar_pos',
			'type' 	  => 'select',
			'title'   => __( 'Sidebar position', 'BERG' ),
			'subtitle' => __( 'Choose sidebar position', 'BERG' ),
			'options' => array(
				'right' => __( 'Right side', 'BERG' ),
				'left'  => __( 'Left side', 'BERG' ),
				'none'  => __( 'Disabled', 'BERG' )
			),
			'default' => 'right',
			'select2'  => array( 'allowClear' => false ),
			'class' => 'hidden',
		),
		array(
			'id' 	   => 'berg_blog_list_sidebar_select',
			'type' 	   => 'select',
			'title'    => __( 'Select sidebar', 'BERG' ),
			'subtitle' => __( 'Choose sidebar to be used', 'BERG' ),
			'options'  => $sidebarsArray,
			'default'  => 'sidebar-1',
			'required' => array( 'berg_blog_list_sidebar_pos', 'not', 'none' ),
			'select2'  => array( 'allowClear' => false ),
			'class' => 'hidden',
		),
		array(
		    'id'   =>'berg_blog_classic_divide',
		    'title' => __('Blog classic template', 'BERG'),
		    'type' => 'divide',
		    'class' => 'hidden',
		),
		array(
			'id' 	  => 'berg_blog_classic_sidebar_pos',
			'type' 	  => 'select',
			'title'   => __( 'Sidebar position', 'BERG' ),
			'subtitle' => __( 'Choose sidebar position', 'BERG' ),
			'options' => array(
				'right' => __( 'Right side', 'BERG' ),
				'left'  => __( 'Left side', 'BERG' ),
				'none'  => __( 'Disabled', 'BERG' )
			),
			'default' => 'right',
			'select2'  => array( 'allowClear' => false ),
			'class' => 'hidden',
		),
		array(
			'id' 	   => 'berg_blog_classic_sidebar_select',
			'type' 	   => 'select',
			'title'    => __( 'Select sidebar', 'BERG' ),
			'subtitle' => __( 'Choose sidebar to be used', 'BERG' ),
			'options'  => $sidebarsArray,
			'default'  => 'sidebar-1',
			'required' => array( 'berg_blog_classic_sidebar_pos', 'not', 'none' ),
			'select2'  => array( 'allowClear' => false ),
			'class' => 'hidden',
		),
	)
);