<?php 

class Berg_Button {
	public function __construct() {
		add_shortcode( 'berg_button', array( $this, 'shortcode' ) );
		add_action('vc_before_init', array($this, 'map'));
	}

	function shortcode($atts) {
		extract(shortcode_atts(array("size" => "play_button", 'style' => 'default', 'size'=>'btn-md', "url" => '', 'label'=>'', "target" => "", 'align'=>'left', 'extra_class' => ''), $atts));
		$href = array();
		if($url) {
			$href = vc_build_link( $url );
		}
		$align = 'style="text-align: '.$align.'"';
		
		$output = '<p '.$align.'><a href="'.(isset($href['url']) ? $href['url'] : '#' ).'" class="btn '.$size.' '.$style.' '.$extra_class.'" target="'.(isset($href['target']) ? $href['target'] : '_self' ).'">'.$label.'</a></p>';
		return $output;
	}

	function map() {
		vc_map( array(
			"name" => __("Berg Button", "BERG"),
			"base" => "berg_button",
			"description" => __('Add a button', 'BERG'),
			"params" => array(
				array(
					"type" => "textfield",
					"heading" => __("Button label", "BERG"),
					"param_name" => "label",
					"admin_label" => false,
					"description" => __("Please provide button label.", "BERG")
				),
				array(
					"type" => "vc_link",
					"heading" => __("Button URL", "BERG"),
					"param_name" => "url",
					"admin_label" => false,
					"description" => __("Please provide link to open", "BERG")
				),
				array(
					"type" => "dropdown",
					"heading" => __("Button style", "BERG"),
					"param_name" => "style",
					"value" => array(
						'Dark outline button' => 'btn-dark-o',
						'Light outline button' => 'btn-light-o',
						'Highlight outline button' => 'btn-color-o',
						'Dark button' => 'btn-dark',
						'Light button' => 'btn-light',
						'Highlight button' => 'btn-color',
					),
					'save_always' => true,
					"admin_label" => true,
					"description" => __("Please select your button style", "BERG")	  
				),
				array(
					"type" => "dropdown",
					"heading" => __("Button size", "BERG"),
					"param_name" => "size",
					"value" => array(
						'Extra small' => 'btn-xs',
						'Small' => 'btn-sm',
						'Medium' => 'btn-md',
						'Large' => 'btn-lg',
					),
					'save_always' => true,
					"admin_label" => true,
					"description" => __("Please select your button size", "BERG"),
					'std' => 'btn-md',
				),
				array(
					"type" => "dropdown",
					"heading" => __("Button alignment", "BERG"),
					"param_name" => "align",
					"value" => array(
						'Left' => 'left',
						'Center' => 'center',
						'Right' => 'right',
					),
					'save_always' => true,
					"admin_label" => true,
					"description" => __("Please select your button alignment", "BERG"),
					'std' => 'btn-md',
				),
				array(
					"type" => "textfield",
					"heading" => __("Extra class", "BERG"),
					"param_name" => "extra_class",
					"admin_label" => false,
				),

			),
		));
	}
}


new Berg_Button();