<?php

class Berg_Gallery {
	public function __construct() {
		add_shortcode( 'berg_gallery', array( $this, 'shortcode' ) );
		add_action('vc_before_init', array($this, 'map'));
	}

	public function shortcode($atts) {
		extract(shortcode_atts(array("images" => '', 'type'=>'standard', 'custom_string'=>'', 'extra_class' => ''), $atts));
		$output = '';
		$layout_index1 = 0;
		$layout = 0;
		if($type == 'standard') {
			$default_layout = array('w1-h1');	
		} elseif($type == 'masonry') {
			$default_layout = array(
				'w2-h2', 'w2-h1', 'w1-h1', 'w1-h1',
				'w1-h1', 'w1-h2', 'w1-h1', 'w1-h1', 'w1-h1', 'w2-h1',
				'w1-h1', 'w1-h1', 'w2-h2', 'w1-h1', 'w1-h1',
				'w2-h1', 'w1-h1', 'w1-h1',
				'w2-h1', 'w1-h2', 'w1-h1', 'w1-h1', 'w1-h1', 'w1-h1',
				'w2-h1', 'w1-h1', 'w1-h1', 'w1-h1', 'w1-h1', 'w2-h1',
				'w1-h1', 'w2-h1', 'w1-h1',
				'w1-h1', 'w1-h1', 'w2-h1',
				'w1-h1', 'w2-h2', 'w1-h1', 'w1-h1', 'w1-h1',
			);
		}
		$custom_layout = $custom_string;
		if ( isset($custom_layout) && $custom_layout != '' && $type == 'custom_masonry' ) {

			$custom_layout = str_replace('1', 'w1-h1', $custom_layout);
			$custom_layout = str_replace('2', 'w2-h1', $custom_layout);
			$custom_layout = str_replace('3', 'w1-h2', $custom_layout);
			$custom_layout = str_replace('4', 'w2-h2', $custom_layout);
			$custom_layout = explode(',', $custom_layout);
			$layouts = $custom_layout;
		} else {
			$layouts = $default_layout;
		}



		if($images != '') {
			$images = explode(',', $images);
		}
		if(is_array($images)) {
			foreach ($images as $image) {
				$layout = $layout_index1;
				$layout = $layouts[$layout];
				if ( $layout == 'w1-h1' ) {
					$image_url = wp_get_attachment_image_src($image, 'blog_thumb');
				} elseif ( $layout == 'w2-h1' ) {
					$image_url = wp_get_attachment_image_src($image, 'blog_thumb');
				} elseif ( $layout == 'w2-h2' ) {
					$image_url = wp_get_attachment_image_src($image, 'large_bg');
				} else {
					$image_url = wp_get_attachment_image_src($image, 'large_bg');
				}
				$image_full = wp_get_attachment_image_src($image, 'full');
				$output .= '<article class="'.$layout.'"><a href="'.$image_full[0].'" rel="prettyPhoto[gal]"></a><div class="layer"><div class="img-bg" data-depth="0.50" style="background-image: url('.$image_url[0].') "><img src="'.$image_url[0].'"></div></div></article>';
				$layout_index1++;
				if ( !isset($layouts[$layout_index1]) ) {
					$layout_index1 = 0;
				}
			}

			return '<div class="berg-gallery '.$extra_class.'"><div class="portfolio-masonry"><div class="grid-sizer"></div>'.$output.'</div></div>';;
		}
	}

	public function map() {
		vc_map(array(
			"name" => __("Berg Gallery", "BERG"),
			"base" => "berg_gallery",
			"description" => __('Add a gallery', 'BERG'),
			"params" => array(
				array(
					"type" => "attach_images",
					"heading" => __("Images", "BERG"),
					"param_name" => "images",
					"admin_label" => false,
					"description" => __("Please images to display in gallery", "BERG")
				),
				array(
					'type' => 'dropdown',
					'heading' => __('Gallery type', 'BERG'),
					"param_name" => "type",
					"value" => array(
						'Standard' => 'standard',
						'Masonry' => 'masonry',
						'Custom masonry' => 'custom_masonry',
					),
					"description" => __("Please select your gallery type.", "BERG")	  
				),

				array(
					'type' => 'textarea',
					'heading' => __('Custom masonry string', 'BERG'),
					"param_name" => "custom_string",
					"description" => __("Write your custom layout loop. Use values: 1 - square, 2 - wide rectangle, 3 - tall rectangle, 4 - large square. Separate values with comma, i.e. 1,1,2,1,1,3", "BERG"),
					'dependency' => array('element' => 'type',  'value' => 'custom_masonry'),
				),

				array(
					"type" => "textfield",
					"heading" => __("Extra class", "BERG"),
					"param_name" => "extra_class",
					"admin_label" => false,
				),
			)
		));
	}
}

new Berg_Gallery();