<?php
	add_shortcode( 'berg_parallax_button', 'berg_parallax_button_shortcode' );
	function berg_parallax_button_shortcode( $atts ) {
		extract( shortcode_atts( array(
			'height' => '300px',
			'header' => '',
			'button_text' => '',
			'button_link' => '',
			'overlay' => '',
			'images' => '',
		), $atts ) );

		$slides = $images;
		ob_start();
	
	?>
	<div class="home-2">
	<div class="home-content hidden-xs hidden-sm" style="height: <?php echo $height; ?>">
		<?php if(YSettings::g('home_background_type') == 'video'): 
			$videoUrl = YSettings::g('home_background_video');
			$videoMute = get_post_meta(get_the_id(), 'home_background_video_mute', true);
			if($videoMute == '1') {
				$videoMute = 'true';
			} else {
				$videoMute = 'false';
			}
		?>
		<div class="video-home-wrapper" style="position: fixed; left: 0; right: 0; top: 0; bottom: 0; z-index:1;">
			<div class="video-wrapper" style="position:absolute; left: 0; top: 0; right: 0; bottom: 0; "></div>
			<div id="P1" class="player" style="display:block; margin: auto; background: rgba(0,0,0,0.5);" data-property="{videoURL:'<?php echo $videoUrl; ?>',containment:'.video-wrapper',startAt:0,mute:<?php echo $videoMute; ?>,autoPlay:true,loop:true,opacity:1,showControls: false}"></div>
			<?php if(YSettings::g('section_video_overlay') == 'mask') : ?>
				<div class="video-mask hidden-xs" style="background: <?php echo YSettings::g('section_video_color_overlay', get_the_id()) ;?> url('<?php echo THEME_DIR_URI .'/img/overlay.png';?>') repeat 0 0;"></div>
			<?php endif ;?>
			<?php if(YSettings::g('section_video_overlay') == 'color_overlay') : ?>
				<div class="video-overlay hidden-xs" style="background: <?php echo YSettings::g('section_video_color_overlay', get_the_id()) ;?>"></div>
			<?php endif ;?>
		</div>

		<?php endif; ?>
		<?php if(YSettings::g('home_background_type') !== 'revslider') :?>
		<ul id="scene" class="<?php //echo 'opacity-'.$opacity;?>">		
			<li class="layer" data-depth="0.30">
				<div class="parallax-slides">

					<?php
					if($slides != false && $slides != '') {
						$slides = explode(',', $slides);
						foreach($slides as $s) {
							$img = wp_get_attachment_image_src( $s, 'berg_fullscreen');
							echo '<div class="slide" style="background-image: url('.$img[0].');"></div>';
						}
					}
					?>

				</div>
				<script>slidesDuration = <?php echo (isset($post_meta['home_slides_duration'][0]) && $post_meta['home_slides_duration'][0] > 100 ) ? $post_meta['home_slides_duration'][0] : 2000; ?></script>
				<?php if(YSettings::g('home_background_type') !== 'video') :?>
				<div class="parallax-overlay" style="background: <?php echo $overlay; ?>"></div>
				<?php endif; ?>
			</li>
			<?php if($header) : ?>
			<li class="layer" data-depth="0.40">
				<div class="button-header-wrapper">
					<div class="button-table-bottom"><div class="button-table-bottom-cell">
						<h1><span class="first-line"><?php echo $header; ?></span></h1>
					</div></div>
				</div>
			</li>
			<?php endif; ?>
			<?php if($button_text) : ?>
			<li class="layer" data-depth="0.60">
				<div class="button-wrapper">
					<span class="second-border button-content button-frame" style="position: relative; ">
						<span class="button-frame-inner">
							<span class="second-line"><?php echo $button_text; ?></span>
							<span class="button-frame-hover" style="position: absolute; left: -2px; top: -2px; right: -2px; bottom: -2px; display: block; border: 2px solid #fff; "></span>
						</span>
					</span>
				</div>
			</li>
			<li class="layer" data-depth="0.80">
				<div class="button-wrapper">
					<div class="button-content button-arrow">
						<span class="second-line"><?php echo $button_text; ?></span>
						<svg xmlns="http://www.w3.org/2000/svg" class="second-border" xmlns:xlink="http://www.w3.org/1999/xlink" width="100px" height="100%" viewBox="0 0 100 50" preserveAspectRatio="xMidYMid meet" zoomAndPan="disable" ><line id="e4_line" x1="0" y1="25" x2="98" y2="25" stroke="#fff" style="stroke-width: 2px; vector-effect: non-scaling-stroke; fill: none;"/><polygon points="100,25 85,34 85,16" style="stroke-width: 2px; vector-effect: non-scaling-stroke; fill: #fff;" ></polygon></svg>
					</div>
				</div>
			</li>
			<li class="layer" data-depth="0.70">
				<div class="button-wrapper">
					<span class="button-content button-text">
						<a href="<?php echo YSettings::g('home_button_link');?>" class="second-line"><?php echo $button_text; ?></a>
						<div id="reservation-trigger"></div>
					</span>
				</div>
			</li>
			<?php endif; ?>
		</ul>
		<?php endif ;?>

	</div>
	</div>
	<?php
		$output = ob_get_contents();
		// ob_end_flush();
		ob_end_clean();

		return $output;
	}






?>