<?php

class Berg_Restaurant_Reservation {
	function __construct() {
		add_action( 'init', array($this, 'berg_map_vc_params' ));
		add_shortcode( 'berg_restaurant_reservation', array($this, 'berg_shortcode' ));
	}

	function berg_shortcode( $atts ) {
		wp_enqueue_script( 'berg-pickadate-i8n');
		extract( shortcode_atts( array(
			'image' => '',
			'image_pos' => 'img_left',
			'form_separator_color' => '#ddd',
			'form_text_color' => '#111',
		), $atts ) );
		$id = 'id_'.uniqid(true).mt_rand();
		if($image != '') {
			$image = wp_get_attachment_image( $image, 'large' );
			$image = '<div class="form-image">
					<div class="form-image-wrapper show-for-large">
						<span class="img-wrapper">
							'.$image.'
						</span>
					</div>
				</div>';
		}
		if($image != '') {
			$imageClass = 'form-with-image';
		} else {
			$imageClass = "";
		}

		$output = '<div class="form-container '.$imageClass.' '.$image_pos.' '.$id.'">'; 
	         	if($image_pos == "img_left" || $image_pos == "") { 
		        	$output .= $image;
		        }
		$output .= '<div class="form-wrapper">';
		$output .= do_shortcode('[booking-form]');
		$output .= '</div>';
				if($image_pos == "img_right") {
					$output .= $image;
				}
			$output .= '</div>';
			
			$output .= '<style scoped>
			.'.$id.' .rtb-booking-form { color: '. $form_text_color .';  }
			.'.$id.' .rtb-booking-form label, .'.$id.' .rtb-booking-form .btn-border-animate.btn-dark { color: '. $form_text_color .';  }
			.'.$id.' .rtb-booking-form input, .'.$id.' .rtb-booking-form textarea, .'.$id.' .rtb-booking-form select { color: '. $form_text_color .';  }
			.'.$id.' .rtb-booking-form fieldset:after { background-color: '. $form_separator_color .';  }
			.'.$id.' .rtb-booking-form .border-label:after, .'.$id.' .rtb-text:after, .'.$id.' .rtb-textarea:not(.message):after, .'.$id.' .rtb-select:after, .'.$id.' .rtb-booking-form .add-message a:before, .'.$id.' .rtb-booking-form .add-message a:after, .'.$id.' .rtb-booking-form .btn-border-animate.btn-dark .button-border { background-color: '. $form_text_color .';  }
			</style>';
		
		return $output;
	}

	public static function berg_map_vc_params() {
		vc_map( array(
			"name" => __( "Berg Restaurant Reservation", "berg-theme-plugin" ),
			"base" => "berg_restaurant_reservation",
			"class" => "",
			'description' => __('Requires active Restaurant Reservations plugin', 'berg-theme-plugin'),
			"category" => __( "Content", "berg-theme-plugin"),
			"icon" => get_template_directory_uri().'/assets/img/logo-icon.png',
			"params" => array(
				array(
					"type" => "attach_image",
					"class" => "",
					"heading" => __( "Form image", "berg-theme-plugin" ),
					"param_name" => "image",
					"value" => '',
				),
				array(
					"type" => "dropdown",
					"class" => "",
					"heading" => __("Image position", 'berg-theme-plugin'),
					"param_name" => "image_pos",
					"value" => array(__("Left", 'berg-theme-plugin') => "img_left", __("Right", 'berg-theme-plugin') => "img_right"),
					"dependency" => array("element" => "image","not_empty" => true),
				),
				array(
					"type" => "colorpicker",
					"class" => "",
					"heading" => __("Separator color", 'berg-theme-plugin'),
					"param_name" => "form_separator_color",		
					"value" => "#ddd",
					'description' => __( 'Select form separators color.', 'berg-theme-plugin' ),			
				),
				array(
					"type" => "colorpicker",
					"class" => "",
					"heading" => __("Input text color", 'berg-theme-plugin'),
					"param_name" => "form_text_color",	
					"value" => "#111",	
					'description' => __( 'Select input text color.', 'berg-theme-plugin' ),			
				),
			),
		));
	}
}

new Berg_Restaurant_Reservation;