<?php 

class Berg_Video_Lightbox {
	public function __construct() {
		add_shortcode( 'berg_video_lightbox', array( $this, 'shortcode' ) );
		add_action('vc_before_init', array($this, 'map'));
	}

	function shortcode($atts) {
		extract(shortcode_atts(array("link_style" => "play_button", 'hover_effect' => 'default', "video_url" => '#', "link_text" => "", "play_button_color" => "default", "berg_button_color" => "default", 'play_button_color' => 'Accent-Color'), $atts));

		$output = '';
		$extra_attrs = ($link_style == 'berg-button') ? 'data-color-override="false"': null;
		$the_link_text = ($link_style == 'berg-button') ? $link_text : '<span class="play"><span class="inner-wrap" style="background-color: '.$play_button_color.'"><svg version="1.1"
			 xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="600px" height="800px" x="0px" y="0px" viewBox="0 0 600 800" enable-background="new 0 0 600 800" xml:space="preserve"><path fill="none" d="M0-1.79v800L600,395L0-1.79z"></path> </svg></span></span>';
		$the_color = $play_button_color;

		if($link_style == 'play_button_with_text') {
			$the_color = $play_button_color;
		}	

		$pbwt = ($link_style == 'play_button_with_text') ? '<span class="link-text"><p>'.$link_text.'</p></span>' : null;
		$output .= '<a href="'.$video_url.'" '.$extra_attrs.' class="'.$link_style.' large berg_video_lightbox pp nohover">'.$the_link_text .$pbwt.'</a>';
		if($link_style == 'play_button_2') $output .= '</div>';

		return $output;
	}

	function map() {
		vc_map( array(
			"name" => __("Video Lightbox Button", "BERG"),
			"base" => "berg_video_lightbox",
			"description" => __('Add a video lightbox link', 'BERG'),
			"params" => array(
				array(
					"type" => "dropdown",
					"heading" => __("Link Style", "BERG"),
					"param_name" => "link_style",
					"value" => array(
						"Play Button" => "play_button",
						"Play Button With text" => "play_button_with_text",
					),
					'save_always' => true,
					"admin_label" => true,
					"description" => __("Please select your link style", "BERG")	  
					),
				array(
					"type" => "textfield",
					"heading" => __("Video URL", "BERG"),
					"param_name" => "video_url",
					"admin_label" => false,
					"description" => __("The URL to your video on Youtube or Vimeo.", "BERG")
					),
				array(
					"type" => "colorpicker",
					"heading" => __("Play Button Color", "BERG"),
					"param_name" => "play_button_color",
					'save_always' => true,
					"dependency" => array('element' => "link_style", 'value' => array("play_button_with_text")),
					"description" => __("Please select the color you desire", "BERG")
					),
				array(
					"type" => "textfield",
					"heading" => __("Link Text", "BERG"),
					"param_name" => "link_text",
					"admin_label" => false,
					"dependency" => array('element' => "link_style", 'value' => array("play_button_with_text")),
					"description" => __("The text that will be displayed for your link", "BERG")
					),
				)
			)
		);
	}
}


new Berg_Video_Lightbox();